### org.jfree.layouting.layouter.style.resolver.percentages.fonts

# Class FontSizeAdjustResolveHandler

- `java.lang.Object`
- - `org.jfree.layouting.layouter.style.resolver.percentages.fonts.FontSizeAdjustResolveHandler`

Implemented Interfaces:
  ResolveHandler

`public class FontSizeAdjustResolveHandler`
`extends java.lang.Object`
`implements ResolveHandler`

Creation-Date: 18.12.2005, 19:46:43

Author:
  Thomas Morgner

  ## Constructor Summary

  `FontSizeAdjustResolveHandler()`

  ## Method Summary

  `StyleKey[]`

  `getRequiredStyles()`
    This indirectly defines the resolve order.

  `void`

  `resolve(LayoutProcess process, LayoutElement currentNode, StyleKey key)`

## Constructor Details

### FontSizeAdjustResolveHandler

    public FontSizeAdjustResolveHandler()

## Method Details

### getRequiredStyles

    public StyleKey[] getRequiredStyles()

> This indirectly defines the resolve order. The higher the order, the more dependent is the resolver on other resolvers to be complete.
> Specified by:
>   getRequiredStyles in interface ResolveHandler
> Returns:

### resolve

    public void resolve(LayoutProcess process,
                        LayoutElement currentNode,
                        StyleKey key)

> Specified by:
>   resolve in interface ResolveHandler